{% extends "base.html"%}
{% block content %}
<html>
    <head>
        <title> Downloading</title>
        <script src="http://code.jquery.com/jquery-3.3.1.min.js"></script>
        <!-- <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script> -->
        <script>
            function download_file() {
                console.log("call");
                console.log("{{id}}");
                ajaxcall()
                 
                
               
            }
           
 
            function ajaxcall() {
                status =false;
               $.ajax({
                method: 'GET',
                url: "{{ url_for('get_status') }}",
                dataType: 'json',
                data: { id: '{{id}}'},
                success: function(data) {
                    console.log('success',data.status);
                    status =data.status
                    if (data.status ==true) {
                     //    clearInterval()
                     $("#download-data").show()
                     console.log($("#download-data"))
                     console.log("Success");
                     clearInterval(ajaxcall,0)
                    }
 
 
                     
                 },
                 error: function(data) {
                     console.log("error")
                 },
                 
                 complete : function() { 
 
                     console.log("complete",status,status =='false')
                     if(status =='false'){
                     setInterval(ajaxcall,1000);}
         
             }
         });
         }
        
          
         </script>
    </head>
    <body onload="download_file()">
        <h4>Downloading....</h4>
        <form method="get" action="downloadfile">
            <button type="submit" id="download-data" style="display:none" class="btn btn-outline-success">Download!</button>
         </form>
        <!-- <div class="wrapper">
            
            <a id ="download-data" class="label label-primary" href="user_data/{{  current_user }}.csv" target="_blank"  style="margin-right: 5px;display: none">Download pdf </a>

        </div> -->
        
       
    </body>
</html>
<p>{{path}}</p>


{% endblock %}